## systemd 259

=== debian/changelog ===
systemd (259-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Updating ntp servers for Progress Linux.
    - Disabling ctrl-alt-del.target.
    - Starting agetty with --nohostname option.
    - Enabling 10 automatic virtual terminals in logind.
    - Reserving virtual terminal on position 2 in logind.
    - Mounting /proc with hidepid=2 option.
    - Mounting /etc/hostname as /run/host/hostname in systemd-nspawn
      container.
    - Setting user-path to /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
      :/sbin:/bin:/usr/local/games:/usr/games.
    - Disabling default-llmnr.
    - Disabling default-mdns.
    - Setting Cache in resolved.conf to no-negative.
  * Merging upstream version 259.
  * Merging debian version 259-1.
  * Refreshing agetty-nohostname.patch.
  * Refreshing proc-hidepid.patch.
  * Allowing root to ignore inhibitors in systemd-logind.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Dec 2025 02:07:45 +0100

systemd (259-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Downgrade depends to recommends for IPC endpoint of respective libnss
    modules. Minimal container images might want the libnss modules to
    resolve users, but without the IPC endpoints which will be running on
    the host and which will be reachable anyway via IPC.
  * Update upstream source from tag 'upstream/259' Update to upstream
    version '259' with Debian dir 7a7b4d948977ac3c011ae6188deefd8d2c1efc8c

  [ Helmut Grohne ]
  * Update architecture match for 50-pid-max.conf

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Dec 2025 23:08:45 +0000

systemd (258.1-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Updating ntp servers for Progress Linux.
    - Disabling ctrl-alt-del.target.
    - Starting agetty with --nohostname option.
    - Enabling 10 automatic virtual terminals in logind.
    - Reserving virtual terminal on position 2 in logind.
    - Mounting /proc with hidepid=2 option.
    - Mounting /etc/hostname as /run/host/hostname in systemd-nspawn
      container.
    - Setting user-path to /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
      :/sbin:/bin:/usr/local/games:/usr/games.
    - Disabling default-llmnr.
    - Disabling default-mdns.
    - Setting Cache in resolved.conf to no-negative.
  * Merging debian version 258.1-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Oct 2025 13:31:15 +0100

systemd (258.1-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Updating ntp servers for Progress Linux.
    - Disabling ctrl-alt-del.target.
    - Starting agetty with --nohostname option.
    - Enabling 10 automatic virtual terminals in logind.
    - Reserving virtual terminal on position 2 in logind.
    - Mounting /proc with hidepid=2 option.
    - Mounting /etc/hostname as /run/host/hostname in systemd-nspawn
      container.
    - Setting user-path to /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
      :/sbin:/bin:/usr/local/games:/usr/games.
    - Disabling default-llmnr.
    - Disabling default-mdns.
    - Setting Cache in resolved.conf to no-negative.
  * Merging upstream version 258.1.
  * Merging debian version 258.1-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Oct 2025 19:32:40 +0200

systemd (258-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Updating ntp servers for Progress Linux.
  * Disabling ctrl-alt-del.target.
  * Starting agetty with --nohostname option.
  * Enabling 10 automatic virtual terminals in logind.
  * Reserving virtual terminal on position 2 in logind.
  * Mounting /proc with hidepid=2 option.
  * Mounting /etc/hostname as /run/host/hostname in systemd-nspawn
    container.
  * Setting user-path to /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
    :/sbin:/bin:/usr/local/games:/usr/games.
  * Disabling default-llmnr.
  * Disabling default-mdns.
  * Setting Cache in resolved.conf to no-negative.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 18 Sep 2025 05:05:04 +0200
