=== debian/control ===
--- 
+++ 
@@ -1,22 +1,17 @@
 Source: systemd
 Section: admin
 Priority: optional
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
-XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
-XSBC-Original-Uploaders: Marco d'Itri <md@linux.it>,
+Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Uploaders: Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Felipe Sateler <fsateler@debian.org>,
            Luca Boccassi <bluca@debian.org>,
            Nick Rosbrook <enr0n@ubuntu.com>,
-Bugs: mailto:maintainers@lists.progress-linux.org
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Browser: https://git.progress-linux.org/horok-backports/systemd
-Vcs-Git: https://git.progress-linux.org/horok-backports/systemd
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
-XSBC-Original-Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
+Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
+Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
 Homepage: https://systemd.io
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
@@ -38,7 +33,6 @@
                linux-tools-generic <pkg.systemd.upstream> | bpftool <pkg.systemd.upstream>,
                gettext,
                gperf,
-               libcap-dev,
                libcrypt-dev,
                libpam0g-dev,
                libapparmor-dev (>= 2.13) <!stage1>,
@@ -172,6 +166,7 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         libarchive13t64 | libarchive13,
          systemd,
          default-dbus-system-bus | dbus-system-bus
 Recommends: libnss-mymachines,
@@ -317,3 +312,10 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Recommends: ${dlopen:Recommends},
+            systemd-resolved,
+Suggests: ${dlopen:Suggests},
+Description: nss module to resolve names via systemd-resolved
+ nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
+ of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
+ the systemd-resolved daemon (provided in the systemd-resolved package).
+ .
