=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,9 @@
 		-Ddefault-mdns=no
 
 else
-    DEFAULT_NTP_SERVERS = 2.progress.pool.ntp.org
+    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
     SUPPORT_URL = https://www.debian.org/support
-    CONFFLAGS_DISTRO = \
-		-Duser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/games:/usr/games \
-		-Ddefault-llmnr=no \
-		-Ddefault-mdns=no
+    CONFFLAGS_DISTRO =
 endif
 
 TEST_TIMEOUT_MULTIPLIER = "-t 10"
@@ -116,6 +113,7 @@
 	-Dutmp=false \
 	-Dtty-mode=0600 \
 	-Dvmspawn=enabled \
+	-Defi-stub-extra-sections=500 \
 	-Dmode=$(if $(filter pkg.systemd.upstream,$(DEB_BUILD_PROFILES)),developer,release)
 
 ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES))$(filter noinsttest,$(DEB_BUILD_PROFILES)),nochecknoinsttest)
@@ -138,7 +136,6 @@
 	-Dimportd=enabled \
 	-Dmicrohttpd=enabled \
 	-Dopenssl=enabled \
-	-Dcryptolib=openssl \
 	-Ddns-over-tls=openssl \
 	-Dlibfido2=enabled \
 	-Dtpm2=enabled \
@@ -226,13 +223,6 @@
 CONFFLAGS += -Dsbat-distro-summary='Upstream build from git'
 endif
 
-# Increase the minimum number of sections to keep free in stub PE header in
-# order to be able to create an UKI file with many DTBs (each of them is stored
-# in a different .dtbauto section)
-ifneq (,$(filter $(DEB_TARGET_ARCH), arm64 armhf riscv64))
-CONFFLAGS += -Defi-stub-extra-sections=500
-endif
-
 override_dh_auto_configure:
 	dh_auto_configure \
 		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_UPSTREAM)
@@ -245,3 +235,12 @@
 	@echo 'blhc: ignore-line-regexp: .* Compiling C object fuzz.*'
 
 execute_before_dh_auto_clean:
+ifneq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
+	debian/extra/checkout-upstream
+endif
+
+execute_before_dh_install:
+	# remove unnecessary / unused files that are picked up by wildcards/directory listings in dh_install
+	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
+	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
+	rm -f debian/tmp/usr/lib/udev/*.d/README
