## systemd 259.2

=== debian/changelog ===
systemd (259.2-0ubuntu1) resolute; urgency=medium

  * New upstream stable version 259.2
    - Bug fixes
    - Update upstream source from tag 'upstream/259.2'
      Update to upstream version '259.2'
      with Debian dir c25e0517a7a4ebd6d9009de0cf949dd265182a67
    - Drop lp2142428-seccomp-util-add-lsm_get_self_attr-and-lsm_list_modules-t.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/515816197e
  * test: use gnuenv to workaround broken --block-signal= (LP: #2142900)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 27 Feb 2026 09:20:52 -0500

systemd (259.1-1ubuntu2) resolute; urgency=medium

  [ Nick Rosbrook ]
  * seccomp-util: add lsm_get_self_attr and lsm_list_modules to @default
    (LP: #2142428)

  [ Alessandro Astone ]
  * d/p/lp2077538: Grant GPU rendering access to GNOME Remote Desktop
    (LP: #2077538, LP: #2142306)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 25 Feb 2026 10:32:56 -0500

systemd (259.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
    - debian/control:
      + Add Recommends: systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
      + d/control: demote systemd-userdbd to Suggests for libnss-systemd
    - d/rules: disable bpf support on riscv64 for now (LP #2099864)
    - d/extra/dbus-1: remove SetLocale restriction from dbus policy (LP #2102028)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/libnss-systemd.*:
      + debian/libnss-systemd.nss: install after 'compat' too (LP #2125403)
      + debian/libnss-systemd.preinst: force nsswitch.conf update
        Drop systemd instances in nsswitch.conf, and force postinst to
        re-generate the file (LP #2121017)
      + debian/linbnss-systemd.nss: Install systemd service after files.
        As suggested by upstream the systemd NSS service should come just after
        files
    - debian/tests:
      + d/t/boot-and-services: use coreutils tunable in apparmor test (LP #2125614)
      + d/t/upstream: skip TEST-08-INITRD on Ubuntu (LP #2136419)
    - debian/patches:
      + switch-root: use MS_MOVE for /run when switchig from initrd
      + test: skip TEST-50-DISSECT.dissect (LP #2116460)
      + test: skip TEST-13-NSPAWN.{nspawn,machined}  (LP #2136413)
  * Dropped changes, included upstream:
    - lp2136497-test-use-journalctl-n-option-instead-of-piping-to-head.patch
      Applied upstream: https://github.com/systemd/systemd/commit/2c661e5f0d
    - lp2136408-test-cope-with-uutils-coreutils-flag-parsing-for-date-com.patch
      Applied upstream: https://github.com/systemd/systemd/commit/a45dad1aa5
    - test-disable-pipefail-again-in-monitor_check_rr.patch
      Applied upstream: https://github.com/systemd/systemd/commit/ce35956b3a
    - resolve-include-current-DNS-server-in-JSON-again.patch
      Applied upstream: https://github.com/systemd/systemd/commit/0de941f937
    - lp2133402-ukify-omit-.osrel-section-when-os-release-is-empty.patch
      Applied upstream: https://github.com/systemd/systemd/commit/798a27a5b4
  * Dropped changes, no longer needed:
    - d/t/upstream: use GNU cp in test setup (LP #2122363)
      Fixed in rust-coreutils 0.5.0
    - lp2136752-test-workaround-uutils-dd-broken-pipe.patch
      Fixed in rust-coreutils 0.6.0
  * New changes:
    - d/libsystemd-shared.preinst: refuse to upgrade without unified cgroupv2 hierarchy

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 10 Feb 2026 14:05:53 -0500

systemd (259-1ubuntu3) resolute; urgency=medium

  * test: skip TEST-13-NSPAWN.nspawn also (LP: #2136413)
  * test: disable pipefail again in monitor_check_rr() (LP: #2136819)
  * d/control: demote systemd-userdbd to Suggests for libnss-systemd
  * resolve: include current DNS server in JSON again (LP: #2138680)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 19 Jan 2026 16:30:42 -0500

systemd (259-1ubuntu2) resolute; urgency=medium

  * d/control: have systemd-boot depend on efibootmgr for amd64 and arm64 only
  * ukify: omit .osrel section when --os-release= is empty (LP: #2133402)
  * d/tests: drop tests-in-lxd
  * test: skip TEST-13-NSPAWN.machined (LP: #2136413)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 06 Jan 2026 10:28:46 -0500

systemd (259-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130132). Remaining changes:
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
    - debian/control:
      + Add Recommends: systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - d/rules: disable bpf support on riscv64 for now (LP #2099864)
    - d/extra/dbus-1: remove SetLocale restriction from dbus policy (LP #2102028)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386

