=== debian/rules ===
--- 
+++ 
@@ -138,9 +138,9 @@
 	-Dopenssl=enabled \
 	-Ddns-over-tls=openssl \
 	-Dlibfido2=enabled \
-	-Dtpm2=enabled \
+	-Dtpm2=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
 	-Dp11kit=enabled \
-	-Dqrencode=enabled \
+	-Dqrencode=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
 	-Dpwquality=enabled \
 	-Dhomed=enabled \
 	-Duserdb=true \
@@ -178,7 +178,7 @@
 
 # BPF/BTF are only enabled and usable on a few architectures
 ifeq (, $(filter $(DEB_BUILD_PROFILES), stage1 pkg.systemd.nobpf))
-ifneq (,$(filter $(DEB_TARGET_ARCH), amd64 arm64 ppc64el riscv64 s390x))
+ifneq (,$(filter $(DEB_TARGET_ARCH), amd64 arm64 ppc64el s390x))
 CONFFLAGS += \
 	-Dvmlinux-h=provided \
 	-Dvmlinux-h-path=/usr/include/$(DEB_HOST_MULTIARCH)/linux/bpf/vmlinux.h \
@@ -243,4 +243,3 @@
 	# remove unnecessary / unused files that are picked up by wildcards/directory listings in dh_install
 	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
 	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
-	rm -f debian/tmp/usr/lib/udev/*.d/README
